%{?nodejs_find_provides_and_requires}

%global packagename is-observable
%global enable_tests 0
# tests disabled due to missing npm(ava) test suite

Name:		nodejs-is-observable
Version:	0.1.0
Release:	1%{?dist}
Summary:	Check if a value is an Observable

License:	MIT
URL:		https://github.com/sindresorhus/is-observable
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/is-observable/v0.1.0/test.js



BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(symbol-observable)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Check if a value is an Observable


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 15 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
